function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);

var styles = {"scrollFade":"_Byn--","active":"_3sodH"};

var ScrollEffect = function ScrollEffect(props) {
  var offset = props.offset ? props.offset : 0;
  var duration = props.duration ? props.duration + "s" : "1s";
  var animateOut = props.animateOut ? props.animateOut : false;
  var uniquId = props.id ? 'scrolAnim_' + props.id : 'scrolAnim_' + Math.floor(Math.random() * 9999);

  var scrollAction = function scrollAction() {
    var animElem = document.querySelector("#" + uniquId);
    var windowHeight = window.innerHeight;
    var elementTop = null;

    if (animElem) {
      elementTop = animElem.getBoundingClientRect().top;

      if (elementTop < windowHeight - offset) {
        animElem.classList.add(styles.active);
      } else if (animateOut == false) {
        animElem.classList.remove(styles.active);
      }
    }
  };

  React.useEffect(function () {
    document.addEventListener("scroll", scrollAction);
  }, []);
  return /*#__PURE__*/React__default.createElement("div", {
    id: uniquId,
    className: props.className ? props.className + " " + styles.scrollFade : styles.scrollFade,
    style: {
      transition: duration
    }
  }, props.children);
};

exports.ScrollEffect = ScrollEffect;
//# sourceMappingURL=index.js.map
